org.apache.sysds.runtime.instructions.spark.data

## Class FrameReblockBuffer

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.data.FrameReblockBuffer

-     public class FrameReblockBuffer
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_BUFFER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrameReblockBuffer(int buffersize, long rlen, long clen, Types.ValueType[] schema)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendCell(long r, long c, Object obj)`
    `void` | `flushBufferToBinaryBlocks(ArrayList<Pair<Long,FrameBlock>> outList)`
    `int` | `getCapacity()`
    `int` | `getSize()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_BUFFER_SIZE

          public static final int DEFAULT_BUFFER_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FrameReblockBuffer

          public FrameReblockBuffer(int buffersize,
                                    long rlen,
                                    long clen,
                                    Types.ValueType[] schema)

  - ### Method Detail

    - #### getSize

          public int getSize()

    - #### getCapacity

          public int getCapacity()

    - #### appendCell

          public void appendCell(long r,
                                 long c,
                                 Object obj)

    - #### flushBufferToBinaryBlocks

          public void flushBufferToBinaryBlocks(ArrayList<Pair<Long,FrameBlock>> outList)
                                         throws DMLRuntimeException

      Throws:
        `DMLRuntimeException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.